Bug 501759 - dwfl_offline_section_address: Assertion `mod->e_type == 1' failed.
dwfl_offline_section_address: Assertion `mod->e_type == 1' failed.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.4
s390x Linux
medium Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
BaseOS QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 11:51 EDT by Petr Muller
Modified: 2016-09-19 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:00:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2009-05-20 11:51:54 EDT
Description of problem:
on s390x architecture, with recent 5.4 tree (kernel-2.6.18-149.el5), some testcases from the systemtap testuite have a regression, when they fail to build with this message:

stap: offline.c:69: dwfl_offline_section_address: Assertion `mod->e_type == 1' failed.
Aborted

These testcases show this behavior:
systemtap.base/kmodule.stp
buildok/four.stp
buildok/nfsd-all-probes.stp
buildok/scsi-all-probes.stp


Version-Release number of selected component (if applicable):
systemtap-0.9.7-1.el5

How reproducible:
always on s390x

Steps to Reproduce:
1. stap -v -p4 systemtap.base/kmodule.stp
  
Actual results:
Pass 1: parsed user script and 52 library script(s) in 500usr/10sys/714real ms.
Pass 2: analyzed script: 4 probe(s), 0 function(s), 0 embed(s), 1 global(s) in 90usr/200sys/403real ms.
stap: offline.c:69: dwfl_offline_section_address: Assertion `mod->e_type == 1' failed.
Aborted

Expected results:
Pass 1: parsed user script and 44 library script(s) in 450usr/10sys/760real ms.
Pass 2: analyzed script: 4 probe(s), 0 function(s), 0 embed(s), 1 global(s) in 60usr/200sys/377real ms.
Pass 3: translated to C into "/tmp/stapytF04n/stap_06fcfbc74ad254e050b1e5a8891c6549_689.c" in 50usr/200sys/391real ms.
/root/.systemtap/cache/06/stap_06fcfbc74ad254e050b1e5a8891c6549_689.ko
Pass 4: compiled C into "stap_06fcfbc74ad254e050b1e5a8891c6549_689.ko" in 3800usr/360sys/6538real ms.

Additional info:
With RHEL5.3 systemtap this works, so this is a Regression
Comment 9 errata-xmlrpc 2009-09-02 06:00:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1313.html

Note You need to log in before you can comment on or make changes to this bug.